## org.exist.storage
Class ValueIndexKeyFactorySimple

    java.lang.Object
      org.exist.storage.ValueIndexKeyFactorySimple

All Implemented Interfaces:
  java.lang.Comparable, ValueIndexKeyFactory

public class ValueIndexKeyFactorySimple
extends java.lang.Object
implements ValueIndexKeyFactory

Simple wrapper around an Indexable object, that adds the collectionId to the srailization of the indexable. TODO "ValueIndexKeyFactory" refactoring: use this class in NativeValueIndex

Constructor Summary
`ValueIndexKeyFactorySimple(Indexable indexable)`

Method Summary
`int` `compareTo(java.lang.Object other)`
`byte[]` `serialize(short collectionId, boolean caseSensitive)` called from `NativeValueIndex`; provides the persistant storage key : (collectionId, qname, indexType, indexData)

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueIndexKeyFactorySimple

    public ValueIndexKeyFactorySimple(Indexable indexable)

Method Detail

### serialize

    public byte[] serialize(short collectionId,
                            boolean caseSensitive)
                     throws EXistException

  called from `NativeValueIndex`; provides the persistant storage key : (collectionId, qname, indexType, indexData)

  Specified by:
    `serialize` in interface `ValueIndexKeyFactory`
  Returns:
    the persistant storage key
  Throws:
    `EXistException`

### compareTo

    public int compareTo(java.lang.Object other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Returns:
    negative value <==> this object is less than other

Copyright (C) Wolfgang Meier. All rights reserved.